import api from './api'


export function businessCreate(data) {
	return api.post('/crm/business/create', data, {
		login: false
	})
}

export function businessUpdate(data) {
	return api.put('/crm/business/update', data, {
		login: false
	})
}

export function delBusiness(data) {
	return api.delete(`/crm/business/delete`, data, {
		login: false
	})
}


export function getBusinessPage(data) {
	return api.get(`/crm/business/page`, data, {
		login: false
	})
}


export function getProducts(data) {
	return api.get(`/product/store-product/page`, data, {
		login: false
	})
}

export function getProductsSku(data) {
	return api.get(`/product/store-product/getSkus`, data, {
		login: false
	})
}

export function getBusiness(data) {
	return api.get(`/crm/business/get`, data, {
		login: false
	})
}

export function getBusinessProductListByBusinessId(data) {
	return api.get(`/crm/business/business-product/list-by-business-id`, data, {
		login: false
	})
}

export function getStoreProductInfo(data) {
	return api.get(`/product/store-product/info/${data.id}`, data, {
		login: false
	})
}